English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The Users Python API

App Engine applications can authenticate users who have Google Accounts, accounts on your own Google Apps domain, or OpenID identifiers. An application can detect whether the current user has signed in, and can redirect the user to a sign-in page to sign in or create a new account. While a user is signed in to the application, the app can detect whether the current user is an administrator, making it easy to implement admin-only areas of the app.

Note: The 1.3.4 release includes support for authentication via OpenID as an experimental feature. OpenID allows users to authenticate by supplying a URL that identifies them with an OpenID provider, a service where the user has previously created an account. Because OpenID support is an experimental feature, the API may change in future minor releases of the SDK. We discuss OpenID in detail in our article Using Federated Authentication via OpenID in Google App Engine. Let us know what you think!

This reference describes the Python API for the Users service. It has the following sections:

- Overview
- User Objects
- Login URLs
- Admin Users
- Reference
  - User
  - Functions
  - Exceptions